#pragma once

#include "pixelformats.h"

#ifdef __cplusplus
extern "C" {
#endif

void sdls_init(unsigned int width, unsigned int height);
void sdls_drawrectangle_rgba32(unsigned int x, unsigned int y, unsigned int width, unsigned int height, const rgba32 * src);
void sdls_drawrectangle_grayscale8(unsigned int x, unsigned int y, unsigned int width, unsigned int height, const grayscale8 * src);
void sdls_cleanup(void);
grayscale8 * sdls_loadimage_grayscale8(const char * file, size_t * width, size_t * height);

#ifdef __cplusplus
}
#endif
