#pragma once

#ifdef __cplusplus

extern "C" {
#include <stdint.h>

#else

#include <stdbool.h>
#include <stdint.h>

#endif

typedef struct __attribute__((packed)) {
    uint8_t r;
    uint8_t g;
    uint8_t b;
    uint8_t a;
} rgba32;


static inline bool rgba32_isequal(const rgba32 * a, const rgba32 * b) {
    return (a->r == b->r) &&
           (a->g == b->g) &&
           (a->b == b->b) &&
           (a->a == b->a);
}


typedef uint8_t grayscale8;

#ifdef __cplusplus
}
#endif

